
Smart Proxy - Refactor #4866

As a developer I'd like to break up smart-proxy into multiple components

03/26/2014 11:43 AM - Anonymous

Status: Closed   

Priority: Normal   

Assignee:    

Category: Plugins   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

based on the POC. With modules residing in the smart-proxy codebase

for the time being

Related issues:

Related to Smart Proxy - Refactor #6306: Possible namespace collisions betwee... Closed 06/20/2014

Related to Smart Proxy - Bug #6956: foreman-proxy requires rubygem-rack => 1.1.0 Closed 08/06/2014

Related to Smart Proxy - Feature #7008: Add providers to existing proxy modul... Closed 08/09/2014

Associated revisions

Revision 038fa6cf - 06/18/2014 02:18 PM - Dmitri Dolguikh 

Fixes #4866: Breaking up monolithic smart-proxy into modules

Revision e3864965 - 06/20/2014 07:30 AM - Lukas Zapletal 

refs #4866 - Added config/settings.d/*yml to gitignore

History

#1 - 03/26/2014 11:46 AM - Anonymous

also: As a developer, I'd like to be able to configure a module (or perhaps even a single route) to listen on http, https, or both ports.

#2 - 03/26/2014 12:54 PM - Dominic Cleal

- Project changed from Foreman to Smart Proxy

- Category changed from Smart Proxy to Plugins

#3 - 03/26/2014 01:34 PM - Anonymous

- Target version set to 1.8.4

#4 - 04/24/2014 10:28 AM - Anonymous

- Status changed from New to Assigned

- Assignee set to Anonymous

#5 - 04/24/2014 10:29 AM - Anonymous

- Target version changed from 1.8.4 to 1.8.3

#6 - 05/19/2014 12:47 PM - Anonymous

- Target version changed from 1.8.3 to 1.8.2

#7 - 06/11/2014 02:56 PM - Anonymous

- Target version changed from 1.8.2 to 1.8.1
#8 - 06/18/2014 02:20 PM - Anonymous

- Status changed from Assigned to Ready For Testing

PR: https://github.com/theforeman/smart-proxy/pull/150

#9 - 06/18/2014 02:34 PM - Dominic Cleal

- translation missing: en.field_release set to 10

#10 - 06/18/2014 02:38 PM - Dominic Cleal

RPM specs: https://github.com/theforeman/foreman-packaging/pull/255

installer: https://github.com/theforeman/puppet-foreman_proxy/pull/100

#11 - 06/18/2014 02:53 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 038fa6cf7079880b16d998346d05112acefec81e.

#12 - 06/20/2014 11:47 AM - Dominic Cleal

- Related to Refactor #6306: Possible namespace collisions between libraries and proxy modules added

#13 - 08/06/2014 08:58 AM - Dominic Cleal

- Related to Bug #6956: foreman-proxy requires rubygem-rack => 1.1.0 added

#14 - 08/09/2014 10:51 AM - Dominic Cleal

- Related to Feature #7008: Add providers to existing proxy modules from a plugin/module added
